Harbor App Engine
  1. Harbor App Engine
Harbor App Engine
  • Harbor App Engine
    • Disable Locker Access Code
      PATCH
    • Get All Transactions
      GET
    • Get Access Code For A Locker
      POST
    • Get All Locker Access Codes
      GET
    • Open Locker With Access Code
      POST
    • Close Locker
      POST
  1. Harbor App Engine

Get All Transactions

Developing
GET
/dropoff/organization/transactions

Request

Authorization
Add parameter in header
Example:
X-Token: ********************
Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/dropoff/organization/transactions?type&order_reference&pickup_code&locker_number&tower_name&location&city&pin_code&page_size=10&page_number=1' \
--header 'x-api-key: hk_1df7b51d1cabd3972e7223009a976f357cb2f9665d6ac2b36249d9080e9bce4e' \
--header 'Authorization: <api-key>'

Responses

🟢200Success
application/json
Body

Example
{}
Modified at 2026-02-18 20:27:45
Previous
Disable Locker Access Code
Next
Get Access Code For A Locker
Built with